<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: CargoBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/d12/class_cargo_base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">CargoBase Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>represents base for cargo storage for entities  
 <a href="../../d6/d12/class_cargo_base.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for CargoBase:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d6/d12/class_cargo_base.png" usemap="#CargoBase_map" alt=""/>
  <map id="CargoBase_map" name="CargoBase_map">
<area href="../../d5/d78/group___enforce.html#dd/d17/class_managed" title="TODO doc." alt="Managed" shape="rect" coords="0,0,75,24"/>
<area href="../../d2/d53/class_cargo_grid.html" alt="CargoGrid" shape="rect" coords="0,112,75,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a78894a3450410be352df180341725e3f"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d12/class_cargo_base.html#a78894a3450410be352df180341725e3f">GetCargoOwner</a> ()</td></tr>
<tr class="memdesc:a78894a3450410be352df180341725e3f"><td class="mdescLeft">&#160;</td><td class="mdescRight">get the entity that owns the cargo  <a href="../../d6/d12/class_cargo_base.html#a78894a3450410be352df180341725e3f">More...</a><br /></td></tr>
<tr class="separator:a78894a3450410be352df180341725e3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7af52b25bfd70401b4750c1d09ebcbdc"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d12/class_cargo_base.html#a7af52b25bfd70401b4750c1d09ebcbdc">GetOwnerCargoIndex</a> ()</td></tr>
<tr class="separator:a7af52b25bfd70401b4750c1d09ebcbdc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7852f4a7181d31b6749e18fe8c0e6760"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d12/class_cargo_base.html#a7852f4a7181d31b6749e18fe8c0e6760">IsProxyCargo</a> ()</td></tr>
<tr class="separator:a7852f4a7181d31b6749e18fe8c0e6760"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a529398889f12e2487b430e4e7cc18879"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d12/class_cargo_base.html#a529398889f12e2487b430e4e7cc18879">GetItemCount</a> ()</td></tr>
<tr class="separator:a529398889f12e2487b430e4e7cc18879"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b0908ac531b24161b5d49f3cac610e2"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d12/class_cargo_base.html#a9b0908ac531b24161b5d49f3cac610e2">GetItem</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> index)</td></tr>
<tr class="separator:a9b0908ac531b24161b5d49f3cac610e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3376ce92ac04d75a1a3b665416ebce1f"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d12/class_cargo_base.html#a3376ce92ac04d75a1a3b665416ebce1f">GetWidth</a> ()</td></tr>
<tr class="separator:a3376ce92ac04d75a1a3b665416ebce1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b060dead4d2ad625521643bb68f9ff6"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d12/class_cargo_base.html#a3b060dead4d2ad625521643bb68f9ff6">GetHeight</a> ()</td></tr>
<tr class="separator:a3b060dead4d2ad625521643bb68f9ff6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac33d6e6eb5f244609e0e4b562b012b0e"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d12/class_cargo_base.html#ac33d6e6eb5f244609e0e4b562b012b0e">GetItemRowCol</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> index, out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> row, out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> col)</td></tr>
<tr class="separator:ac33d6e6eb5f244609e0e4b562b012b0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a81071da5fc903e14548cb042788734"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d12/class_cargo_base.html#a4a81071da5fc903e14548cb042788734">GetItemSize</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> index, out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> w, out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> h)</td></tr>
<tr class="separator:a4a81071da5fc903e14548cb042788734"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a503f43617aeff6e1880e7d9ab7db11c0"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d12/class_cargo_base.html#a503f43617aeff6e1880e7d9ab7db11c0">FindEntityInCargo</a> (notnull <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> e)</td></tr>
<tr class="separator:a503f43617aeff6e1880e7d9ab7db11c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7a043e051ffad3f4e9fbea6b9cf8543"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d12/class_cargo_base.html#ac7a043e051ffad3f4e9fbea6b9cf8543">CargoBase</a> ()</td></tr>
<tr class="separator:ac7a043e051ffad3f4e9fbea6b9cf8543"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0df32d465c00aef5fa53d451c5476f62"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d12/class_cargo_base.html#a0df32d465c00aef5fa53d451c5476f62">~CargoBase</a> ()</td></tr>
<tr class="separator:a0df32d465c00aef5fa53d451c5476f62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a486dc42c52cf7c451c9c602f2a0ece64"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d12/class_cargo_base.html#a486dc42c52cf7c451c9c602f2a0ece64">CanReceiveItemIntoCargo</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item)</td></tr>
<tr class="memdesc:a486dc42c52cf7c451c9c602f2a0ece64"><td class="mdescLeft">&#160;</td><td class="mdescRight">condition EntityAI::CanReceiveItemIntoCargo for Cargo.  <a href="../../d6/d12/class_cargo_base.html#a486dc42c52cf7c451c9c602f2a0ece64">More...</a><br /></td></tr>
<tr class="separator:a486dc42c52cf7c451c9c602f2a0ece64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc8846dff3bcbf336e4a0515d63d1518"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d12/class_cargo_base.html#acc8846dff3bcbf336e4a0515d63d1518">CanSwapItemInCargo</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> child_entity, <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> new_entity)</td></tr>
<tr class="memdesc:acc8846dff3bcbf336e4a0515d63d1518"><td class="mdescLeft">&#160;</td><td class="mdescRight">condition EntityAI::CanSwapItemInCargo for Cargo.  <a href="../../d6/d12/class_cargo_base.html#acc8846dff3bcbf336e4a0515d63d1518">More...</a><br /></td></tr>
<tr class="separator:acc8846dff3bcbf336e4a0515d63d1518"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a738c558cc0f499ddde5388bf0840582f"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d12/class_cargo_base.html#a738c558cc0f499ddde5388bf0840582f">GetUserReservedLocationCount</a> ()</td></tr>
<tr class="separator:a738c558cc0f499ddde5388bf0840582f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a00c06406fd013b493ca76e733dd7ae"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d12/class_cargo_base.html#a7a00c06406fd013b493ca76e733dd7ae">GetUserReservedLocation</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> index, out <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> eai, out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> row, out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> col, out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> w, out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> h, out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> flp)</td></tr>
<tr class="separator:a7a00c06406fd013b493ca76e733dd7ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80a78a1ffca855ff8b06ad64ac53850a"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d12/class_cargo_base.html#a80a78a1ffca855ff8b06ad64ac53850a">SetUserReservedLocation</a> (notnull <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> eai)</td></tr>
<tr class="separator:a80a78a1ffca855ff8b06ad64ac53850a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a056ab396a55d1a2c8cb4e3c3ad0a1e21"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d12/class_cargo_base.html#a056ab396a55d1a2c8cb4e3c3ad0a1e21">ClearUserReservedLocation</a> (notnull <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> eai)</td></tr>
<tr class="separator:a056ab396a55d1a2c8cb4e3c3ad0a1e21"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >represents base for cargo storage for entities </p>
<p >@NOTE: rows == y axis </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d79/_cargo_8c_source.html#l00006">6</a> of file <a class="el" href="../../d9/d79/_cargo_8c_source.html">Cargo.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ac7a043e051ffad3f4e9fbea6b9cf8543" name="ac7a043e051ffad3f4e9fbea6b9cf8543"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7a043e051ffad3f4e9fbea6b9cf8543">&#9670;&#160;</a></span>CargoBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void CargoBase::CargoBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0df32d465c00aef5fa53d451c5476f62" name="a0df32d465c00aef5fa53d451c5476f62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0df32d465c00aef5fa53d451c5476f62">&#9670;&#160;</a></span>~CargoBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void CargoBase::~CargoBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a486dc42c52cf7c451c9c602f2a0ece64" name="a486dc42c52cf7c451c9c602f2a0ece64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a486dc42c52cf7c451c9c602f2a0ece64">&#9670;&#160;</a></span>CanReceiveItemIntoCargo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CargoBase::CanReceiveItemIntoCargo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>condition EntityAI::CanReceiveItemIntoCargo for Cargo. </p>
<dl class="section return"><dt>Returns</dt><dd>true if cargo can be added, false otherwise </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/d79/_cargo_8c_source.html#l00065">65</a> of file <a class="el" href="../../d9/d79/_cargo_8c_source.html">Cargo.c</a>.</p>

</div>
</div>
<a id="acc8846dff3bcbf336e4a0515d63d1518" name="acc8846dff3bcbf336e4a0515d63d1518"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc8846dff3bcbf336e4a0515d63d1518">&#9670;&#160;</a></span>CanSwapItemInCargo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CargoBase::CanSwapItemInCargo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>child_entity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>new_entity</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>condition EntityAI::CanSwapItemInCargo for Cargo. </p>
<dl class="section return"><dt>Returns</dt><dd>true if cargo can be added, false otherwise </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/d79/_cargo_8c_source.html#l00071">71</a> of file <a class="el" href="../../d9/d79/_cargo_8c_source.html">Cargo.c</a>.</p>

</div>
</div>
<a id="a056ab396a55d1a2c8cb4e3c3ad0a1e21" name="a056ab396a55d1a2c8cb4e3c3ad0a1e21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a056ab396a55d1a2c8cb4e3c3ad0a1e21">&#9670;&#160;</a></span>ClearUserReservedLocation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void CargoBase::ClearUserReservedLocation </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>eai</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a503f43617aeff6e1880e7d9ab7db11c0" name="a503f43617aeff6e1880e7d9ab7db11c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a503f43617aeff6e1880e7d9ab7db11c0">&#9670;&#160;</a></span>FindEntityInCargo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CargoBase::FindEntityInCargo </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>find internal index of the entity in cargo or -1 if not found </dd></dl>

</div>
</div>
<a id="a78894a3450410be352df180341725e3f" name="a78894a3450410be352df180341725e3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78894a3450410be352df180341725e3f">&#9670;&#160;</a></span>GetCargoOwner()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CargoBase::GetCargoOwner </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>get the entity that owns the cargo </p>
<dl class="section return"><dt>Returns</dt><dd>cargo owner </dd></dl>

</div>
</div>
<a id="a3b060dead4d2ad625521643bb68f9ff6" name="a3b060dead4d2ad625521643bb68f9ff6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b060dead4d2ad625521643bb68f9ff6">&#9670;&#160;</a></span>GetHeight()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CargoBase::GetHeight </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>height of the cargo </dd></dl>

</div>
</div>
<a id="a9b0908ac531b24161b5d49f3cac610e2" name="a9b0908ac531b24161b5d49f3cac610e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b0908ac531b24161b5d49f3cac610e2">&#9670;&#160;</a></span>GetItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CargoBase::GetItem </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>get item at specific index </dd></dl>

</div>
</div>
<a id="a529398889f12e2487b430e4e7cc18879" name="a529398889f12e2487b430e4e7cc18879"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a529398889f12e2487b430e4e7cc18879">&#9670;&#160;</a></span>GetItemCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CargoBase::GetItemCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>number of items in cargo </dd></dl>

</div>
</div>
<a id="ac33d6e6eb5f244609e0e4b562b012b0e" name="ac33d6e6eb5f244609e0e4b562b012b0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac33d6e6eb5f244609e0e4b562b012b0e">&#9670;&#160;</a></span>GetItemRowCol()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CargoBase::GetItemRowCol </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>col</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">row</td><td>returned row of the item at internal index </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">col</td><td>returned col. 0 on xbox </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a4a81071da5fc903e14548cb042788734" name="a4a81071da5fc903e14548cb042788734"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a81071da5fc903e14548cb042788734">&#9670;&#160;</a></span>GetItemSize()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CargoBase::GetItemSize </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>h</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">w</td><td>returned width of the item at internal index </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">h</td><td>returned height of the item at internal index </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a7af52b25bfd70401b4750c1d09ebcbdc" name="a7af52b25bfd70401b4750c1d09ebcbdc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7af52b25bfd70401b4750c1d09ebcbdc">&#9670;&#160;</a></span>GetOwnerCargoIndex()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CargoBase::GetOwnerCargoIndex </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7a00c06406fd013b493ca76e733dd7ae" name="a7a00c06406fd013b493ca76e733dd7ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a00c06406fd013b493ca76e733dd7ae">&#9670;&#160;</a></span>GetUserReservedLocation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CargoBase::GetUserReservedLocation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>eai</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>col</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>h</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>flp</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">idx</td><td>index of the user reserved location </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">eai</td><td>returned entity of the user reservation at internal index </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">row</td><td>returned row of the user reservation at internal index </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">col</td><td>returned col </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">w</td><td>returned width of the user reservation at internal index </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">h</td><td>returned height of the user reservation at internal index </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">flp</td><td>returned flip </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if record found, false otherwise </dd></dl>

</div>
</div>
<a id="a738c558cc0f499ddde5388bf0840582f" name="a738c558cc0f499ddde5388bf0840582f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a738c558cc0f499ddde5388bf0840582f">&#9670;&#160;</a></span>GetUserReservedLocationCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CargoBase::GetUserReservedLocationCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3376ce92ac04d75a1a3b665416ebce1f" name="a3376ce92ac04d75a1a3b665416ebce1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3376ce92ac04d75a1a3b665416ebce1f">&#9670;&#160;</a></span>GetWidth()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CargoBase::GetWidth </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>width of the cargo </dd></dl>

</div>
</div>
<a id="a7852f4a7181d31b6749e18fe8c0e6760" name="a7852f4a7181d31b6749e18fe8c0e6760"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7852f4a7181d31b6749e18fe8c0e6760">&#9670;&#160;</a></span>IsProxyCargo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CargoBase::IsProxyCargo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd>true if cargo is in proxy object </dd></dl>

</div>
</div>
<a id="a80a78a1ffca855ff8b06ad64ac53850a" name="a80a78a1ffca855ff8b06ad64ac53850a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80a78a1ffca855ff8b06ad64ac53850a">&#9670;&#160;</a></span>SetUserReservedLocation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void CargoBase::SetUserReservedLocation </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>eai</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/Systems/Inventory/<a class="el" href="../../d9/d79/_cargo_8c_source.html">Cargo.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d6/d12/class_cargo_base.html">CargoBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
